# Represents a position (x,y)

(PHP 7, UI 0.9.9)

## Introduction

Points are used throughout UI to represent co-ordinates on a screen, control, or area.

## Class synopsis

final UI\Point {
/* Properties */
public $x ;
public $y ;
/* Constructor */
public __construct ( float `$x` , float `$y` )
/* Methods */
public static at ( float `$point` ) : UI\Point
public static at ( UI\Size `$size` ) : UI\Point
public getX ( void ) : float
public getY ( void ) : float
public setX ( float `$point` )
public setY ( float `$point` )
}

## Properties

x

  Holds the X co-ordinate, can be read/written directly

y

  Holds the Y co-ordinate, can be read/written directly

## Table of Contents

- UI\Point::at — Size Coercion
- UI\Point::__construct — Construct a new Point
- UI\Point::getX — Retrieves X
- UI\Point::getY — Retrieves Y
- UI\Point::setX — Set X
- UI\Point::setY — Set Y